6.0.0-git
2019-03-24

[#9514] Fatal error when saving S/MIME key
Summary Fatal error when saving S/MIME key
Queue IMP
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester jan (at) horde (dot) org
Created 2011-01-14 (2991 days ago)
Due
Updated 2011-02-18 (2956 days ago)
Assigned 2011-01-15 (2990 days ago)
Resolved 2011-01-18 (2987 days ago)
Milestone
Patch No

History
2011-02-18 22:39:28 Git Commit Comment #10 Reply to this comment
Changes have been made in Git for this ticket:

Bug #9514: Fix variable names

http://git.horde.org/horde-git/-/commit/c18d115199170e5d3794e2c2e086641ad096c05b
2011-02-17 15:54:10 hordetest (at) trash-mail (dot) com Comment #9 Reply to this comment
I still get the A fatal error has occurred No certificate found. popup.
Probably because that key is already saved.
There are some bugs in the implementation of the method addPublicKey 
in smime.php.
These coding is working for me. Please take as initial input:

     /**
      * Add a public key to an address book.
      *
      * @param string $cert  A public certificate to add.
      *
      * @throws Horde_Crypt_Exception
      */
     public function addPublicKey($cert)
     {
                $cert_a = $this->publicKeyInfo($cert);
                $name = $cert_a[0]['subject']['CN'];
                $email = $cert_a[0]['subject']['emailAddress'];

         $GLOBALS['registry']->call('contacts/addField', array($email, 
$name, self::PUBKEY_FIELD, $cert, 
$GLOBALS['prefs']->getValue('add_source')));
     }
2011-01-21 18:41:32 Michael Slusarz Comment #8 Reply to this comment
I still get the A fatal error has occurred No certificate found. popup.
Probably because that key is already saved.
2011-01-21 18:40:57 Git Commit Comment #7 Reply to this comment
Changes have been made in Git for this ticket:

Bug #9514: Don't allow adding public key if already exists

http://git.horde.org/horde-git/-/commit/a9e594706022287b78911885352cfb91f4b697d7
2011-01-21 10:48:12 hordetest (at) trash-mail (dot) com Comment #6 Reply to this comment
I still get the A fatal error has occurred No certificate found. popup.
2011-01-18 08:25:24 Michael Slusarz State ⇒ Resolved
 
2011-01-18 08:25:18 Git Commit Comment #5 Reply to this comment
Changes have been made in Git for this ticket:

Bug #9514: Fix importing S/MIME key

http://git.horde.org/horde-git/-/commit/2d06be19a609b70731e38d08e2cb4a3d71223d3b
2011-01-15 12:18:47 Jan Schneider Comment #4
State ⇒ Assigned
Reply to this comment
The fatal error goes away, but the popup window doesn't close, and "No 
Certificate found" is pushed on the notification stack (visible at the 
next page load).
2011-01-14 23:36:58 Michael Slusarz Comment #3
State ⇒ Feedback
Reply to this comment
Fixed?
2011-01-14 23:36:39 Git Commit Comment #2 Reply to this comment
Changes have been made in Git for this ticket:

Bug #9514: Pass the mailbox name, not the certificate itself

http://git.horde.org/horde-git/-/commit/dab4c36b1e1012ffc7908b49592c8a684091417f
2011-01-14 15:39:13 Jan Schneider Comment #1
Type ⇒ Bug
State ⇒ Assigned
Priority ⇒ 1. Low
Summary ⇒ Fatal error when saving S/MIME key
Queue ⇒ IMP
Assigned to Michael Slusarz
Milestone ⇒
Patch ⇒ No
Reply to this comment
When trying to save an S/MIME key from a signed message into the 
address book, I get the following fatal error in the popup:

A fatal error has occurred
Error displaying message.

1. IMP_Injector_Factory_Contents->create() 
/home/jan/horde-git/imp/smime.php:105
2. IMP_Contents->__construct() 
/home/jan/horde-git/imp/lib/Injector/Factory/Contents.php:50

Saved Queries